## NAME

v.db.reconnect.all - Reconnects vectors to a new database.

## KEYWORDS

vector, database, attribute table

## SYNOPSIS

v.db.reconnect.all
v.db.reconnect.all help
v.db.reconnect.all old_database=string new_database=string [old_schema=string] [new_schema=string] [--verbose] [--quiet]

### Parameters:

old_database=string
  Name of old database
  The database must be in form printed by v.db.connect -g, i.e. with substituted variables
new_database=string
  Name of new database
old_schema=string
  Old schema
new_schema=string
  New schema

## DESCRIPTION

v.db.reconnect.all changes database connection of all layers of all vectors in the current mapset from old_database to database. If a link does not match the old_database it is left untouched.

## NOTES

The value of the old_database option needs to be the exact string which appears as the fourth field printed by `v.db.connect -g`, i.e. with substituted variables.

## AUTHOR

Radim Blazek

Last changed: $Date: 2011-09-04 15:23:30 +0200 (ne, 04 IX 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team